Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventhandler
Interface IScriptedDataSetEventHandler

All Superinterfaces:
  IDataSetEventHandler

All Known Implementing Classes:
  ScriptedDataSetEventAdapter

    public interface IScriptedDataSetEventHandler

extends IDataSetEventHandler

Script event handler interface for a scripted data set

Method Summary
`void` | `close(IDataSetInstance dataSet)` Handle the close event
`boolean` | `describe(IDataSetInstance dataSet, IScriptedDataSetMetaData metaData)` Method for Script Data Set to return dynamically generated data set metadata.
`boolean` | `fetch(IDataSetInstance dataSet, IUpdatableDataSetRow row)` Handle the fetch event.
`void` | `open(IDataSetInstance dataSet)` Handle the open event

Methods inherited from interface org.eclipse.birt.report.engine.api.script.eventhandler.IDataSetEventHandler
`afterClose, afterOpen, beforeClose, beforeOpen, onFetch`

Method Detail

### open

    void open(IDataSetInstance dataSet)
              throws ScriptException

  Handle the open event

  Throws:
    `ScriptException`

### fetch

    boolean fetch(IDataSetInstance dataSet,
                  IUpdatableDataSetRow row)
                  throws ScriptException

  Handle the fetch event. Implementation should call methods on the row object to set data of the current row being fetched.

  Returns:
    true if current data row has been populated. false if the last call to fetch has returned the last data row, and no more data is available.
  Throws:
    `ScriptException`

### close

    void close(IDataSetInstance dataSet)
               throws ScriptException

  Handle the close event

  Throws:
    `ScriptException`

### describe

    boolean describe(IDataSetInstance dataSet,
                     IScriptedDataSetMetaData metaData)
                     throws ScriptException

  Method for Script Data Set to return dynamically generated data set metadata. This method is called before the open event is fired. If the data set implementation has dynamically generated metadata, it should call the addColumn method on the metaData object to add all its column definition, then return true. If the data set implementation uses the static metadata defined in the data set design , it should return false.

  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.